@import '../../../../assets/styles/common.scss';

.custom-ui-select-field {
    min-width: 200px;
    position: relative;
    transition: border-bottom 0.2s;
    border-bottom: 1px solid rgba($bgColor, 0.15);

    &:after {
        left: 45%;
        bottom: 0px;
        content: "";
        height: 2px;
        width: 10px;
        visibility: hidden;
        position: absolute;
        transition-duration: 0.2s;
        background-color: $bgColor;
        transition-timing-function: cubic-bezier(.4,0,.2,1);
    }

    &:hover {
        &:after {
            left: 0;
            width: 100%;
            visibility: visible;
        }

        border-bottom: 1px solid white;
    }

    &-button {
        &.mdl-button {
            width: 100%;

            &:hover, 
            &:active {
                background: none;
            }
        }
    }

    .mdl-menu__container {
        margin-top: 2px;
    }

    span {
        font-weight: bold;
    }

    .mdl-menu__container.is-visible {
        width: 100% !important;

        .mdl-menu__outline {
            width: 100% !important;
        }

        .mdl-menu {
            position: relative !important;
        }
        
        .mdl-menu__item span {
            width: 100%;
            display: block;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }
}